#!perl

use IO::File;

sub add_namespace {

	my $fname = shift;
	my $nsp   = shift;
	
	my $fname_tmp = $fname . ".tmp";
	my $fhi = new IO::File $fname , O_RDONLY;
	my $fho = new IO::File $fname_tmp, O_WRONLY | O_CREAT | O_TRUNC;
	if ((!defined $fhi) || (!defined $fho)) {
		die "Cannot Open File : $!";
    }
	$fho->print("namespace $nsp { \/\/ autogen\n");
	while (<$fhi>){
		my $content = $_;
		$fho->print($content);
	}
	$fho->print("\n} \/\/ autogen\n");
	
	$fhi->close();
	$fho->close();
	
	rename($fname_tmp, $fname) || die "Cannot rename file: $!";
}


				
my $arg_service_h = shift;
my $arg_nmsp      = shift;
add_namespace($arg_service_h,$arg_nmsp);
